
From: Martin Hicks <mort@bork.org>

I just bought an ASUS TV FM capture card, based on the saa7134 chip.  It only
had one input specified, coax.  This patch adds the Composite and S-Video
inputs.  It seems to work correctly for me.


---

 25-akpm/drivers/media/video/saa7134/saa7134-cards.c |    8 ++++++++
 1 files changed, 8 insertions(+)

diff -puN drivers/media/video/saa7134/saa7134-cards.c~saa7134-asus-tv-fm-inputs drivers/media/video/saa7134/saa7134-cards.c
--- 25/drivers/media/video/saa7134/saa7134-cards.c~saa7134-asus-tv-fm-inputs	Tue Apr  6 15:51:31 2004
+++ 25-akpm/drivers/media/video/saa7134/saa7134-cards.c	Tue Apr  6 15:51:31 2004
@@ -741,6 +741,14 @@ struct saa7134_board saa7134_boards[] = 
                         .vmux = 1,
                         .amux = TV,
                         .tv   = 1,
+		},{
+                        .name = name_comp1,
+                        .vmux = 4,
+                        .amux = LINE2,
+                },{
+                        .name = name_svideo,
+                        .vmux = 6,
+                        .amux = LINE2,
                 }},
                 .radio = {
                         .name = name_radio,

_
